Bug 1471200 - cinder_volumes test is broken in OSP11 by tempets 16.0.0
cinder_volumes test is broken in OSP11 by tempets 16.0.0
Status: NEW
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-openstack (Show other bugs)
1.0
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rohan Kanade
rhcert qe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 12:30 EDT by Gonéri Le Bouder
Modified: 2017-12-07 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gonéri Le Bouder 2017-07-14 12:30:49 EDT
Description of problem:


redhat-certification-openstack-4.10-20170616.el7.noarch
redhat-certification-backend-4.10-20170616.el7.noarch
redhat-certification-4.10-20170616.el7.noarch
python-tempestconf-1.1.2-1.el7ost.noarch
openstack-tempest-16.0.0-1.el7ost.noarch
python-sahara-tests-tempest-0.4.1-1.el7ost.noarch
puppet-tempest-10.3.1-1.el7ost.noarch
python-tempest-16.0.0-1.el7ost.noarch
python-tempest-tests-16.0.0-1.el7ost.noarch

when I do rhcert-ci run --test cinder_volumes:


(...)
Plugin selected: volume
API list selected: encryption
Running tempest
Running the following tests!!
tempest.api.volume.admin.test_volume_types.VolumeTypesV1Test.test_volume_type_encryption_create_get_delete
tempest.api.volume.admin.test_volume_types.VolumeTypesV2Test.test_volume_type_encryption_create_get_delete
ostestr -w whitelist.txt --serial
(...)
The full tempest test-suite is run.

I can reproduce the problem manually if I do:
ostestr -w whitelist.txt --list --serial

There is nothing in the list because these tests are not in tempest anymore. It sounds like ostestr runs the full test-suite in this case.

The correct name is:

tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_volume_type_encryption_create_get_update_delete

The name does not seems to be in:
/usr/lib/python2.7/site-packages/rhcert/suites/openstack_cert/data/tempest_tests.json
Comment 2 Gonéri Le Bouder 2017-07-14 14:24:43 EDT
Same problem with tempest.api.volume.test_volumes_list.VolumesV2ListTestJSON and tempest.api.volume.test_volumes_list.VolumesV1ListTestJSON.
Comment 3 Gonéri Le Bouder 2017-07-14 15:46:56 EDT
The regression are likely to come from the tempest rebase: https://bugzilla.redhat.com/show_bug.cgi?id=1441228
Comment 4 Gonéri Le Bouder 2017-07-17 14:13:54 EDT
openstack-tempest-15.0.0-2.el7ost.noarch.rpm is still the version in the CDN. 16.0.0 is the version in the puddles.

Note You need to log in before you can comment on or make changes to this bug.